<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package AVIF Image Optimizer
 */

namespace Amasty\AvifImageOptimizer\Block\Adminhtml\Settings;

use Amasty\ImageOptimizer\Block\Adminhtml\Settings\CommonCheckbox;
use Magento\Framework\Data\Form\Element\AbstractElement;

class ClearAvifFolderCheckbox extends CommonCheckbox
{
    protected function _getElementHtml(AbstractElement $element): string
    {
        $element->setData('value', __("Avif Images Folder"));
        $element->setData('class', "amoptimizer-checkbox");
        $element->setData('name', "avif");

        return parent::_getElementHtml($element);
    }
}
