<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package AVIF Image Optimizer
 */

namespace Amasty\AvifImageOptimizer\Model;

use Amasty\ImageOptimizer\Model\ConfigProvider as ImageOptimizerConfigProvider;

class ConfigProvider extends ImageOptimizerConfigProvider
{
    public const AVIF_COMPRESSION_QUALITY = 'images/avif_compression_quality';
    public const AVIF_ENCODING_SPEED = 'images/avif_encoding_speed';

    public function getAvifCompressionQuality(): int
    {
        return (int)$this->getValue(self::AVIF_COMPRESSION_QUALITY);
    }

    public function getAvifEncodingSpeed(): int
    {
        return (int)$this->getValue(self::AVIF_ENCODING_SPEED);
    }
}
